Bug 186157 - Selinux prevents f-spot from launching a browser when authorizing Flickr access
Selinux prevents f-spot from launching a browser when authorizing Flickr access
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Russell Coker
Depends On:
  Show dependency treegraph
Reported: 2006-03-21 17:08 EST by Trond Danielsen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-15 22:39:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trond Danielsen 2006-03-21 17:08:38 EST
Description of problem:
Selinux prevents f-spot from launching a browser when authorizing Flickr access. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Export photo from f-spot to Flickr.
2. Press Authorize!
3. F-spot opens an error message.
Actual results:
Authorization fails.

Expected results:
Authorization completed.

Additional info:
F-spot returns the following error message:
Startup failed because of the following error:
An SELinux policy prevents this sender from sending this message to this
recipient (rejected message had interface "org.freedesktop.DBus" member "Hello"
error name "(unset)" destination "org.freedesktop.DBus")
Comment 1 Rahul Sundaram 2006-03-24 12:38:15 EST

SELinux policies are centrally managed. So filing it against SELinux policy
package is better. Reassigning.

Can you post the AVC denied messages from /var/log/messages or /var/log/audit
(if you are running the audit deamon)?


Comment 2 Trond Danielsen 2006-03-28 05:48:16 EST
Sorry, no msg in neither /var/log/messages or /var/log/audit.
Comment 3 Daniel Walsh 2006-03-28 08:19:41 EST
Are you sure this is an SELinux problem?

If you run setenforce 0, does the command succeed?

If it does, could you load the following policy and then try the command with
setenforce 0

semodule -b /usr/share/selinux/targeted/enableaudit.pp

setenforce 0
run your command
semodule -b /usr/share/selinux/targeted/base.pp

to turn off additional audit messages.
Comment 4 Trond Danielsen 2006-05-25 14:11:20 EDT
I think the bug can be closed, it is working now. I think the problem was that I
was using epiphany as the default browser at the time. I have tested with both
firefox and epiphany, and everything works now.

Note You need to log in before you can comment on or make changes to this bug.